{
    attributes = (
        {
            columnName = "CPT_CHARTE"; 
            externalType = VARCHAR2; 
            name = cptCharte; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_COMMENTAIRE"; 
            externalType = VARCHAR2; 
            name = cptCommentaire; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "CPT_CONNEXION"; 
            externalType = VARCHAR2; 
            name = cptConnexion; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "CPT_CRYPTE"; 
            externalType = VARCHAR2; 
            name = cptCrypte; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_DATE_CHARTE"; 
            externalType = TIMESTAMP; 
            name = cptDateCharte; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_DEBUT_VALIDE"; 
            externalType = TIMESTAMP; 
            name = cptDebutValide; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_DOMAINE"; 
            externalType = VARCHAR2; 
            name = cptDomaine; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_EMAIL"; 
            externalType = VARCHAR2; 
            name = cptEmail; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_FIN_VALIDE"; 
            externalType = TIMESTAMP; 
            name = cptFinValide; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "CPT_GID"; 
            externalType = NUMBER; 
            name = cptGid; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_HOME"; 
            externalType = VARCHAR2; 
            name = cptHome; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_LISTE_ROUGE"; 
            externalType = VARCHAR2; 
            name = cptListeRouge; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_LOGIN"; 
            externalType = VARCHAR2; 
            name = cptLogin; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "CPT_ORDRE"; 
            externalType = NUMBER; 
            name = cptOrdre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_PASSWD"; 
            externalType = VARCHAR2; 
            name = cptPasswd; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 15; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_PRINCIPAL"; 
            externalType = VARCHAR2; 
            name = cptPrincipal; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_SHELL"; 
            externalType = VARCHAR2; 
            name = cptShell; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "CPT_UID"; 
            externalType = NUMBER; 
            name = cptUid; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CPT_VALIDE"; 
            externalType = VARCHAR2; 
            name = cptValide; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CPT_VLAN"; 
            externalType = VARCHAR2; 
            name = cptVlan; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 15; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = TIMESTAMP; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = TIMESTAMP; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CPT_CREATEUR"; 
            externalType = NUMBER; 
            name = persIdCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CPT_MODIFICATEUR"; 
            externalType = NUMBER; 
            name = persIdModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TCRY_ORDRE"; 
            externalType = NUMBER; 
            name = tcryOrdre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        cptOrdre, 
        cptLogin, 
        cptPasswd, 
        cptVlan, 
        cptEmail, 
        cptCharte, 
        persId, 
        cptGid, 
        cptUid
    ); 
    className = "org.cocktail.connecteur.serveur.modele.entite_destination.EOGrhumCompte"; 
    classProperties = (
        cptLogin, 
        cptPasswd, 
        cptVlan, 
        cptEmail, 
        cptDomaine, 
        dCreation, 
        dModification, 
        cptCharte, 
        cptConnexion, 
        persId, 
        cptGid, 
        cptUid, 
        cptCommentaire, 
        cptCrypte, 
        cptDateCharte, 
        cptDebutValide, 
        cptFinValide, 
        cptHome, 
        cptListeRouge, 
        cptPrincipal, 
        cptShell, 
        cptValide, 
        typeCryptage, 
        vLan, 
        persIdCreation, 
        persIdModification
    ); 
    externalName = "GRHUM.COMPTE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            cptLogin, 
            cptPasswd, 
            cptVlan, 
            cptEmail, 
            cptDomaine, 
            cptCharte, 
            cptConnexion, 
            persId, 
            cptUid, 
            cptGid, 
            dCreation, 
            dModification, 
            cptCrypte, 
            cptDebutValide, 
            cptFinValide, 
            cptDateCharte, 
            cptCommentaire, 
            cptListeRouge, 
            cptPrincipal, 
            cptHome, 
            cptShell, 
            typeCryptage, 
            vLan, 
            cptValide, 
            persIdCreation, 
            persIdModification
        ); 
        "_javaClientClassName" = "org.cocktail.connecteur.client.modele.grhum.EOGrhumCompte"; 
    }; 
    name = GrhumCompte; 
    primaryKeyAttributes = (cptOrdre); 
    relationships = (
        {
            destination = TypeCryptage; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcryOrdre; sourceAttribute = tcryOrdre; }); 
            name = typeCryptage; 
        }, 
        {
            destination = Vlans; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cVlan; sourceAttribute = cptVlan; }); 
            name = vLan; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = ObjetPourSIDestinataireAvecDates; }; }; 
}
